Changes

Jump to navigation Jump to search

Windows Installer

452 bytes added, 07:40, 16 October 2013
no edit summary
The NSIS package contains some native tools that are currently 32-bit only. In order to build these on a 64-bit system, multi-lib support must be enabled in the compiler toolchain. However, not all operating systems support this. Since no other packages depend on it, the remainder of MXE can be successfully built by simply specifying an empty build rule:
make nsis_BUILD=
 
==Creating an NSIS based installer==
The <code>--installer</code> option when passed to the mk-dist.sh script produces a basic NSIS installer that is ready to be distributed. You can however create
a newer and better installer by getting a newer version of mxe-octave/makeinst-script.sh [http://inversethought.com/hg/mxe-octave-anirudha/raw-file/9d6566d9944e/makeinst-script.sh here]. The script included hasn't been merged with main mxe-octave yet.
19

edits

Navigation menu